Update SKU
Updates the connected SKU for a license.
POST https://api.keyzy.io/v2/licenses/update-sku
Parameters
| Parameter | Type | Description |
|---|---|---|
| app_id | string | An app_id that has write permission |
| api_key | string | An api_key that has write permission |
| serial | string | A license (serial number) |
| new_sku_number | string | License’s new sku_number |
| current_sku_number | string | License’s current sku_number |
Returns
Keyzy responds with a message containing the status of the update if the request is correct.
{
"message": "License successfully updated with the given new_sku_number."
}
Notes
- The new SKU’s type will be overwritten to the license. For example; if the current license type is ‘perpetual’ and the new SKU’s type is ‘trial’, after the update the license’s type will be ‘trial’.
- If the new SKU’s type is ‘trial’ or ‘subscription’, you may need to use update-time endpoint separately.